Visual LISP, AutoLISP and General Customization

Visual LISP, AutoLISP and General Customization

Reply
Active Member
david.rock
Posts: 9
Registered: ‎04-20-2007
Message 1 of 1 (134 Views)

Changing MEP duct properties via lisp eg LiningThickness and Insulation

134 Views, 0 Replies
12-17-2009 12:05 PM
Hello,

Please does somebody know why the following lisp retuns an error "lisp value has no coercion to VARIANT with this type:"

It really should work. Select a MEP duct.

(setq obje (vlax-ename->vla-object (car (entsel))))
(vlax-put-property obje 'InsulationThickness 0)

or even this gets the property - which it does OK and then try to set it to the same.

(setq lith (vlax-get-property obje 'LiningThickness))
(vlax-put-property obje 'InsulationThickness lith)

Thanks in advance
David
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.